package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NetaddStoreVo extends BaseTransactionVo {
    private Nidgrp nidgrp;

    private Nidgrp oldnidgrp;

    private Ghdadd ghdadd;

    private Trnmod trnmod;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }

        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        if (ghdadd == null) {
            ghdadd = new Ghdadd();
        }
        if (trnmod == null) {
            trnmod = new Trnmod();
        }
    }
}
